#include <SDL/SDL.h>


#ifndef __CPOINT__
	#define __CPOINT__
 

 
class cPoint {

	private :
		int x;
		int y;
		int r, g, b;
		SDL_Rect rect;	// définit la position du point pr l'affichage via SDL


	public :
		cPoint();
		cPoint(int x, int y);
		cPoint(int r, int g, int b);

		int get_x();
		void set_x(int x);

		int get_y();
		void set_y(int y);

		void affiche(SDL_Surface* pPoint, SDL_Surface* pScreen);
		void aleatoire();

		~cPoint();
};


#endif
